### Constructor

# GtkSource View new_with_buffer

#### Declaration [src]

    GtkWidget*
    gtk_source_view_new_with_buffer (
      GtkSourceBuffer* buffer
    )

#### Description [src]

Creates a new `GtkSourceView` widget displaying the buffer `buffer`.

One buffer can be shared among many widgets.

#### Parameters

`buffer`

  Type: `GtkSourceBuffer`

  A `GtkSourceBuffer`.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkSourceView`.

The data is owned by the called function.